## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor
Class ASAProceduralObjectEditorHandler

    java.lang.Object
      org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.DefaultSchemaObjectEditorHandler
          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.ProceduralObjectEditorHandler
              org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.ASAProceduralObjectEditorHandler

All Implemented Interfaces:
  IResourceChangeHandler, ISchemaObjectEditorHandler

    public class ASAProceduralObjectEditorHandler

extends ProceduralObjectEditorHandler

This is a procedural object editor handler class for ASA procedural schema editor

Author:
  songj

Constructor Summary
`ASAProceduralObjectEditorHandler()`

Method Summary

Methods inherited from class org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.ProceduralObjectEditorHandler
`dispose, doSave, doSaveAs, forceFocusObject, generateScript, getAdapter, getDebugPage, hookInitialization, isReservePrivileges, isSaveAsAllowed, refreshFromDB, setReservePrivileges`

Methods inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.DefaultSchemaObjectEditorHandler
`checkSchemaObjectExistence, getDisplayName, getEditorInput, getGroupExecDisplayString, getNotifier, getOpenFileAfterSaveasOption, inSavingProcess, pageChanged, resouceChanged, revert, setEditor`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.sqltools.schemaobjecteditor.ui.ISchemaObjectEditorHandler
`checkSchemaObjectExistence, getDisplayName, getNotifier, inSavingProcess, pageChanged, revert, setEditor`

Methods inherited from interface org.eclipse.datatools.sqltools.schemaobjecteditor.ui.IResourceChangeHandler
`resouceChanged`

Constructor Detail

### ASAProceduralObjectEditorHandler

    public ASAProceduralObjectEditorHandler()